A valid request URL is required to generate request examplesUpsert a contact asynchronously in the Qomon database.
When upserting, the system tries to find an existing contact to update using the following strategy (in order). If no match is found, a new contact is created.
1. Match by ID
id is provided and matches an existing contact, that contact will be updated (can be a contact ID or nationbuilder ID).2. Match by email + name
mail.firstname is provided, it must also match. If surname is provided, it must also match. (An empty value for firstname or surname means the field will not be used for matching.)3. Match by surname + firstname + birthdate + address
surname is provided, the system searches for contacts with the same surname.firstname must match.birthdate, they must match exactly.address, the city or postalcode must match. If no birthdate comparison was made, the street must also match.4. No match found
⚠️ If the
idorlabelof an advanced field, or thevalue(for non-free-text fields), does not exist, the contact will not be updated or created. Errors will not be logged.
💡 For consents, level_of_support, custom_fields, survey, tasks:
id, label, value in GET /forms/ endpoint.A valid request URL is required to generate request examplesDocumentation Index
Fetch the complete documentation index at: https://qomon-86428773.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Was this page helpful?